<!--start sidebar -->

<aside class="sidebar-wrapper" data-simplebar="true" style="background:azure;">

    <div class="sidebar-header">

        <div>

            <img src="<?= base_url() ?>admin_assets/images/logo-icon.png" class="logo-icon" alt="logo icon">

        </div>

        <div>

            <h4 class="logo-text">Online Portal</h4>

        </div>

        <div class="toggle-icon ms-auto"><i class="bi bi-chevron-double-left"></i>

        </div>

    </div>

    <!--navigation-->

    <ul class="metismenu" id="menu">
       
        <?php if($_SESSION['staff_type']==0){ ?> 
        <?php if (in_array('Dashboard', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "Dashboard") ? 'mm-active' : '' ?>">

            <a href="<?= base_url('admin') ?>">
                <div class="parent-icon">
                    <i class="fadeIn animated bx bx-line-chart-down"></i>
                </div>
                <div class="menu-title">Dashboard</div>
            </a>
        </li>
       <?php endif; ?>
       
     
        <?php 
$required_permissions = [
    'Admin Users',
    'Roles',
    'Menu Permission',
    'State',
    'City',
    'Branch',
    'Circle',
    'Loan Type',
    'RBO',
    'RACPC'
];

// Check if any required permissions exist in $this->menu_permission
$has_permission = false;
foreach ($required_permissions as $permission) {
    if (in_array($permission, $this->menu_permission)) {
        $has_permission = true;
        break;
    }
}

if ($has_permission): ?>
<li>
    <a href="javascript:;" class="has-arrow">
        <div class="parent-icon"><i class="bi bi-bag-check"></i></div>
        <div class="menu-title">Masters</div>
    </a>
    <ul>
         <?php if (in_array('Roles', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "manage_roles") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_roles') ?>">
                <i class="bi bi-arrow-right-short"></i>Roles
            </a>
        </li>
        <?php endif; ?>
        
        <?php if (in_array('Admin Users', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "manage_admin_acct") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_admin_acct') ?>">
                <i class="bi bi-arrow-right-short"></i>Users Staff
            </a>
        </li>
        <?php endif; ?>

        <?php if (in_array('Menu Permission', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "Menu Permission") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/menu_permission_form') ?>">
                <i class="bi bi-arrow-right-short"></i>Menu Permission
            </a>
        </li>
        <?php endif; ?>

        <?php if (in_array('State', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "State") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_state') ?>">
                <i class="bi bi-arrow-right-short"></i>State
            </a>
        </li>
        <?php endif; ?>

        <?php if (in_array('City', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "City") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_city') ?>">
                <i class="bi bi-arrow-right-short"></i>City
            </a>
        </li>
        <?php endif; ?>

        <?php if (in_array('Branch', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "Branch") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_branch') ?>">
                <i class="bi bi-arrow-right-short"></i>Branch
            </a>
        </li>
        <?php endif; ?>

        <?php if (in_array('Circle', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "Circle") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_circle') ?>">
                <i class="bi bi-arrow-right-short"></i>Circle
            </a>
        </li>
        <?php endif; ?>

        <?php if (in_array('Loan Type', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "Loan Type") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_loan_type') ?>">
                <i class="bi bi-arrow-right-short"></i>Loan Type
            </a>
        </li>
        <?php endif; ?>
        <?php if (in_array('RBO', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "RBO") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_rbo') ?>">
                <i class="bi bi-arrow-right-short"></i>RBO
            </a>
        </li>
        <?php endif; ?>
        <?php if (in_array('RACPC', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "RACPC") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_racpc') ?>">
                <i class="bi bi-arrow-right-short"></i>RACPC
            </a>
        </li>
        <?php endif; ?>
    </ul>
</li>
<?php endif; ?>

           
      
        
         <?php if (in_array('Split Payment Sub-HLC', $this->menu_permission)): ?>
         <li class="<?= ($current_page == "Split Payment") ? 'mm-active' : '' ?>">

            <a href="<?= base_url('admin/manage_split_payment') ?>">
                <div class="parent-icon"><i class="bi bi-layout-split"></i>
                </div>
                <div class="menu-title">Split Payment Sub-HLC</div>
            </a>
        </li>
        <?php endif; ?>
         
              
         
         <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-person-lines-fill"></i>
                </div>
                <div class="menu-title">PB Applicants</div>
              </a>
              <ul>
                   <?php if (in_array('PaisaBazaar Applicants', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "Applicants PB") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_pb_users') ?>">
                            <i class="bi bi-arrow-right-short"></i>PB Applicants
                        </a>
                    </li>
               <?php endif; ?>
               <?php if (in_array('Archive Applicant PB', $this->menu_permission)): ?>
               
                     <li class="<?= ($current_page == "manage_archive_pb_users") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_archive_pb_users') ?>">
                            <i class="bi bi-arrow-right-short"></i>Archive PB Applicants
                        </a>
                    </li>
               <?php endif; ?>
                  <?php if (in_array('List PB Non-verified', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "List PB Non-verified") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_pb_users_nonverified') ?>">
                            <i class="bi bi-arrow-right-short"></i>List PB Nonverified
                        </a>
                    </li>
               <?php endif; ?>
                  <?php if (in_array('List PB Pending Approval', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "list_pb_pending_approval") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_pb_users_pending_approval') ?>">
                            <i class="bi bi-arrow-right-short"></i>List PB Pending Approval
                        </a>
                    </li>
               <?php endif; ?>
               <?php if (in_array('Create PB Invoices', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "create_pb_invoice") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_invoice_cases_pb') ?>">
                            <i class="bi bi-arrow-right-short"></i>Create PB Invoices
                        </a>
                    </li>
               <?php endif; ?>
               <?php if (in_array('Invoices PB', $this->menu_permission)): ?>
               
                     <li class="<?= ($current_page == "Invoices PB") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_invoice_pb') ?>">
                            <i class="bi bi-arrow-right-short"></i>List PB Invoices
                        </a>
                    </li>
               <?php endif; ?>
             
               
              </ul>
            </li>
            
            
              <li>
                    <a href="javascript:;" class="has-arrow">
                        <div class="parent-icon"><i class="bi bi-person-lines-fill"></i></div>
                        <div class="menu-title">MB Applicants</div>
                    </a>
                    <ul>
                        <?php if (in_array('Applicants', $this->menu_permission)): ?>
                            <li class="<?= ($current_page == "Users") ? 'mm-active' : '' ?>">
                                <a href="<?= base_url('admin/manage_users') ?>">
                                    <i class="bi bi-arrow-right-short"></i>MB Applicants
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (in_array('RBO Paid Applicants', $this->menu_permission)): ?>
                            <li class="<?= ($current_page == "rbo_paid_applicants") ? 'mm-active' : '' ?>">
                                <a href="<?= base_url('admin/manage_rbo_paid_applicants') ?>">
                                    <i class="bi bi-arrow-right-short"></i>RBO Paid
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (in_array('RBO Unpaid Applicants', $this->menu_permission)): ?>
                            <li class="<?= ($current_page == "rbo_unpaid_applicants") ? 'mm-active' : '' ?>">
                                <a href="<?= base_url('admin/manage_rbo_unpaid_applicants') ?>">
                                    <i class="bi bi-arrow-right-short"></i>RBO Unpaid
                                </a>
                            </li>
                        <?php endif; ?>
                
                        <?php if (in_array('Archive Applicant MB', $this->menu_permission)): ?>
                            <li class="<?= ($current_page == "archive_user_mb") ? 'mm-active' : '' ?>">
                                <a href="<?= base_url('admin/manage_archive_user_mb') ?>">
                                    <i class="bi bi-arrow-right-short"></i>Archive Applicant MB
                                </a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </li>
           
            <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-person-lines-fill"></i>
                </div>
                <div class="menu-title">Partners</div>
              </a>
              <ul>
                   <?php if (in_array('Add Partner', $this->menu_permission)): ?>
               
                     <li class="<?= ($current_page == "Connectors") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_connectors') ?>">
                            <i class="bi bi-arrow-right-short"></i>Add Partner
                        </a>
                    </li>
               <?php endif; ?>
                <?php if (in_array('TDS Certificate', $this->menu_permission)): ?>
               
                     <li class="<?= ($current_page == "TDS Certificate") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_tds_certificate') ?>">
                            <i class="bi bi-arrow-right-short"></i>TDS Certificate
                        </a>
                    </li>
               <?php endif; ?>
                 <?php if (in_array('Create Invoices Partner', $this->menu_permission)): ?>
                <li class="<?= ($current_page == "Invoice cases") ? 'mm-active' : '' ?>">
                    <a href="<?= base_url('admin/manage_invoice_cases') ?>">
                        <i class="bi bi-arrow-right-short"></i> Create Invoices Partner
                    </a>
                </li>
                  <?php endif; ?>
                   <?php if (in_array('Invoices Partner', $this->menu_permission)): ?>
               <li class="<?= ($current_page == "Invoice") ? 'mm-active' : '' ?>">
                   <a href="<?= base_url('admin/manage_invoice') ?>">
                <i class="bi bi-arrow-right-short"></i> Invoices(Partner) </a>
               </li>
                <?php endif; ?>
              </ul>
            </li>
            
        <?php if (in_array('Partner Payments', $this->menu_permission)): ?>
             <li class="<?= ($current_page == "manage_hlc_payments") ? 'mm-active' : '' ?>">
                <a href="<?= base_url('admin/manage_hlc_payments') ?>">
                    <div class="parent-icon"><i class="bi bi-cash-stack"></i>
                    </div>
                    <div class="menu-title">Partner Payments</div>
                </a>
            </li>
        <?php endif; ?>
        
        <?php 
$required_permissions_pb_sbi = [
    'PB Branch Annx - input',
    'List of Branch Annx',
    'PB-List of RBO Invoices'
];
// Check if any required permissions exist in $this->menu_permission
$has_permission_pb_sbi = false;
foreach ($required_permissions_pb_sbi as $permission) {
    if (in_array($permission, $this->menu_permission)) {
        $has_permission_pb_sbi = true;
        break;
    }
}
if ($has_permission_pb_sbi): ?>
<li>
    <a href="javascript:;" class="has-arrow">
        <div class="parent-icon"><i class="bi bi-file-earmark-ruled"></i></div>
        <div class="menu-title">PB-SBI</div>
    </a>
    <ul>
        <?php if (in_array('PB Branch Annx - input', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "manage_pb_sbi_branch_annx") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_pb_sbi_branch_annx') ?>">
                <i class="bi bi-arrow-right-short"></i>PB Branch Annx - input
            </a>
        </li>
        <?php endif; ?>
        <?php if (in_array('List of Branch Annx', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "manage_list_pb_sbi_branch_annx") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_list_pb_sbi_branch_annx') ?>">
                <i class="bi bi-arrow-right-short"></i>List of Branch Annx
            </a>
        </li>
        <?php endif; ?>
        <?php if (in_array('PB-List of RBO Invoices', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "manage_list_pb_sbi_rbo_invoices") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_list_pb_sbi_rbo_invoices') ?>">
                <i class="bi bi-arrow-right-short"></i>List of RBO Invoices
            </a>
        </li>
        <?php endif; ?>

    </ul>
</li>
<?php endif; ?>

           
             
             <?php if (in_array('Branch Confirmation', $this->menu_permission)): ?>
             <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-person-lines-fill"></i>
                </div>
                <div class="menu-title">Branch Confirmation</div>
              </a>
              <ul>
               <li class="<?= ($current_page == "Create Invoice Branch") ? 'mm-active' : '' ?>">
                    <a href="<?= base_url('admin/manage_invoice_branch_confirmation') ?>">
                        <i class="bi bi-arrow-right-short"></i>Create Confirmation
                    </a>
                </li>
                <li class="<?= ($current_page == "Invoices Branch") ? 'mm-active' : '' ?>">
                    <a href="<?= base_url('admin/manage_invoice_branch/') ?>">
                       <i class="bi bi-arrow-right-short"></i>Branch Conf List
                    </a>
                </li>
              </ul>
            </li>
             <?php endif; ?>
             
             
             <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-person-lines-fill"></i>
                </div>
                <div class="menu-title">RBO</div>
              </a>
              <ul>
             <?php if (in_array('Create Invoices RBO', $this->menu_permission)): ?>
               <li class="<?= ($current_page == "Invoice cases") ? 'mm-active' : '' ?>">
                    <a href="<?= base_url('admin/manage_invoice_cases_sbi') ?>">
                        <i class="bi bi-arrow-right-short"></i>Create Invoices RBO
                    </a>
                </li>
            <?php endif; ?>
            <?php if (in_array('RBO Invoices List', $this->menu_permission)): ?>
                <li class="<?= ($current_page == "Invoice SBI") ? 'mm-active' : '' ?>">
                    <a href="<?= base_url('admin/manage_invoice_sbi/') ?>">
                       <i class="bi bi-arrow-right-short"></i>Invoices(RBO)
                    </a>
                </li>
             <?php endif; ?>
              </ul>
            </li>
            
          <?php if (in_array('Merge Invoices', $this->menu_permission)): ?>
             <li class="<?= ($current_page == "merge_invoices") ? 'mm-active' : '' ?>">
                <a href="<?= base_url('admin/merge_invoices') ?>">
                    <div class="parent-icon"><i class="bi bi-cash-stack"></i>
                    </div>
                    <div class="menu-title">Merge Invoices</div>
                </a>
            </li>
        <?php endif; ?>
         
       <?php if (in_array('Reports', $this->menu_permission)): ?>
        <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-bag-check"></i>
                </div>
                <div class="menu-title">Reports</div>
              </a>
              <ul>
                    <?php if (in_array('Dashboard Report', $this->menu_permission)): ?>
               
                     <li class="<?= ($current_page == "dash_reports") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_dash_reports') ?>">
                            <i class="bi bi-arrow-right-short"></i>Dashboard Reports
                        </a>
                    </li>
               <?php endif; ?>
                    <?php if (in_array('Dashboard-1', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "manage_dashboard_1") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_dashboard_1') ?>">
                            <i class="bi bi-arrow-right-short"></i>Dashboard 1
                        </a>
                    </li>
               <?php endif; ?>
             <?php if (in_array('Partner Business Report', $this->menu_permission)): ?>
                <li class="<?= ($current_page == "Partner Business") ? 'mm-active' : '' ?>"> 
                      <a href="<?= base_url('admin/partner_wise_business') ?>"><i class="bi bi-arrow-right-short"></i>Partner Business</a>
                </li>
             <?php endif; ?>
             <?php if (in_array('Partner Bank Details Report', $this->menu_permission)): ?>
                <li class="<?= ($current_page == "Bank Report") ? 'mm-active' : '' ?>"> 
                      <a href="<?= base_url('admin/partner_bank_report') ?>"><i class="bi bi-arrow-right-short"></i>Partner Bank Details</a>
                </li>
             <?php endif; ?>
                <li class="<?= ($current_page == "Paid Invoice HLC") ? 'mm-active' : '' ?>"> 
                      <a href="<?= base_url('admin/paid_invoice_hlc') ?>"><i class="bi bi-arrow-right-short"></i>Partner Invoice Paid</a>
                </li>
                <li class="<?= ($current_page == "Recevied Invoice SBI") ? 'mm-active' : '' ?>"> 
                      <a href="<?= base_url('admin/received_invoice_sbi') ?>"><i class="bi bi-arrow-right-short"></i>Recevied Invoice SBI</a>
                </li>
                <?php if (in_array('Part. TDS Report', $this->menu_permission)): ?>
                    <li class="<?= ($current_page == "manage_tds_report") ? 'mm-active' : '' ?>"> 
                          <a href="<?= base_url('admin/manage_tds_report') ?>"><i class="bi bi-arrow-right-short"></i>TDS Report</a>
                    </li>
                <?php endif; ?>
                 <?php if (in_array('Deleted Applicant Log', $this->menu_permission)): ?>
                    <li class="<?= ($current_page == "applicant_user_activity") ? 'mm-active' : '' ?>"> 
                          <a href="<?= base_url('admin/applicant_user_activity') ?>"><i class="bi bi-arrow-right-short"></i>Applicant Activity Log</a>
                    </li>
                <?php endif; ?>
                 <?php if (in_array('Deleted Invoice Log', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "deleted_invoice_log") ? 'mm-active' : '' ?>"> 
                          <a href="<?= base_url('admin/deleted_invoice_history') ?>"><i class="bi bi-arrow-right-short"></i>Deleted Invoice Log</a>
                    </li>
                <?php endif; ?>
                <?php if (in_array('Deleted Payment Log', $this->menu_permission)): ?>
                     <li class="<?= ($current_page == "deleted_payment_log") ? 'mm-active' : '' ?>"> 
                          <a href="<?= base_url('admin/deleted_payment_log') ?>"><i class="bi bi-arrow-right-short"></i>Deleted Payment Log</a>
                    </li>
                <?php endif; ?>
                <?php if (in_array('Deleted Applicant Log', $this->menu_permission)): ?>
                    <li class="<?= ($current_page == "deleted_applicant_log") ? 'mm-active' : '' ?>"> 
                          <a href="<?= base_url('admin/deleted_applicant_log') ?>"><i class="bi bi-arrow-right-short"></i>Deleted Applicant Log</a>
                    </li>
                <?php endif; ?>
              </ul>
            </li>
         <?php endif; ?>
         
         <?php if (in_array('Web', $this->menu_permission)): ?>
<li>
    <a href="javascript:;" class="has-arrow">
        <div class="parent-icon"><i class="bi bi-bag-check"></i></div>
        <div class="menu-title">Web</div>
    </a>
    <ul>
         <?php if (in_array('Web', $this->menu_permission)): ?>
        <li class="<?= ($current_page == "manage_roles") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin/manage_web') ?>">
                <i class="bi bi-arrow-right-short"></i>Web Enquiry
            </a>
        </li>
        <?php endif; ?>
    </ul>
</li>
<?php endif; ?>
         
         <li class="">
            <a href="<?= base_url() ?>MBPL Profile mortgagebuddy.pdf" target="_BLANK">
                <div class="parent-icon">
                    <i class="fadeIn animated bi bi-person-check"></i>
                </div>
                <div class="menu-title">Mortgagebuddy Profile</div>
            </a>
        </li>

        <li class="">
            <a href="javascript:void(0);" class="signout">
                <div class="parent-icon">
                    <i class="fadeIn animated bx bx-log-out"></i>
                </div>
                <div class="menu-title">Sign Out</div>
            </a>
        </li>

     <?php } ?>

        <?php if($_SESSION['staff_type']==1){ ?>

        <li class="<?= ($current_page == "Dashboard") ? 'mm-active' : '' ?>">
            <a href="<?= base_url('admin') ?>">
                <div class="parent-icon">
                    <i class="fadeIn animated bx bx-line-chart-down"></i>
                    <!--<i class="bi bi-house-door"></i>-->
                </div>
                <div class="menu-title">Dashboard</div>
            </a>
        </li>
           
             <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-person-lines-fill"></i>
                </div>
                <div class="menu-title">PB Applicants</div>
              </a>
              <ul>
                
                     <li class="<?= ($current_page == "Applicants PB") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_pb_users') ?>">
                            <i class="bi bi-arrow-right-short"></i>PB Applicants
                        </a>
                    </li>
        
                   <!--  <li class="<?= ($current_page == "create_pb_invoice") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_invoice_cases_pb') ?>">
                            <i class="bi bi-arrow-right-short"></i>Create PB Invoices
                        </a>
                    </li>
              
                     <li class="<?= ($current_page == "Invoices PB") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_invoice_pb') ?>">
                            <i class="bi bi-arrow-right-short"></i>List PB Invoices
                        </a>
                    </li>-->
      
               
              </ul>
            </li>

            <li class="<?= ($current_page == "Users") ? 'mm-active' : '' ?>">
                <a href="<?= base_url('admin/manage_users') ?>">
                  <div class="parent-icon"><i class="bi bi-person-circle"></i>
                  </div>
                  <div class="menu-title">MB Applicants</div>
                 </a>
           </li>
           
           <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-person-lines-fill"></i>
                </div>
                <div class="menu-title">Partner</div>
              </a>
              <ul>
                <li class="<?= ($current_page == "TDS Certificate") ? 'mm-active' : '' ?>">
                        <a href="<?= base_url('admin/manage_tds_certificate') ?>">
                            <i class="bi bi-arrow-right-short"></i>TDS Certificate
                        </a>
                </li>
                <li class="<?= ($current_page == "Invoice cases") ? 'mm-active' : '' ?>">
                    <a href="<?= base_url('admin/manage_invoice_cases') ?>">
                        <i class="bi bi-arrow-right-short"></i> Create Invoices Partner
                    </a>
                </li>
               <li class="<?= ($current_page == "Invoice") ? 'mm-active' : '' ?>">
                   <a href="<?= base_url('admin/manage_invoice') ?>">
                <i class="bi bi-arrow-right-short"></i> Invoices(Partner) </a>
               </li>
    
              </ul>
            </li>
            <li>
              <a href="javascript:;" class="has-arrow">
                <div class="parent-icon"><i class="bi bi-bag-check"></i>
                </div>
                <div class="menu-title">Reports</div>
              </a>
              <ul>
                <li class="<?= ($current_page == "Paid Invoice HLC") ? 'mm-active' : '' ?>"> 
                      <a href="<?= base_url('admin/paid_invoice_hlc') ?>"><i class="bi bi-arrow-right-short"></i>Partner Invoice Paid</a>
                </li>
              
              </ul>
            </li>

            <li class="">
                <a href="<?= base_url() ?>MBPL Profile mortgagebuddy.pdf" target="_BLANK">
                    <div class="parent-icon">
                        <i class="fadeIn animated bi bi-person-check"></i>
                    </div>
                    <div class="menu-title">Mortgagebuddy Profile</div>
                </a>
            </li>


            <li class="">

            <a href="javascript:void(0);" class="signout">

                <div class="parent-icon">

                    <i class="fadeIn animated bx bx-log-out"></i>

                </div>

                <div class="menu-title">Sign Out</div>

            </a>

        </li>





        <?php } ?>
       

    </ul>



    <!--end navigation-->

</aside>

<!--end sidebar -->


<style>
    .sidebar-wrapper .sidebar-header .logo-icon {
    width: 106px !important;
}
</style>