<main class="page-content">
    <!--breadcrumb-->
    <!-- <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">

        <div class="breadcrumb-title pe-3"><?= $title ?></div>

    </div> -->
    <!--end breadcrumb-->
    <div class="card">
        <div class="card-header py-3">
           <?php 
            $allowedStaffIds = [14, 1, 13, 538, 28, 651]; 
            
            if (in_array($_SESSION['staff_id'], $allowedStaffIds)) { ?>
                <div class="row align-items-center m-0">
                    <div class="col-md-4 col-12 me-auto mb-md-0 mb-3"></div>
                    <div class="col-md-2 text-end"> 
                        <button class="btn btn-primary btn-sm d-flex align-items-center gap-1" id="GenrateInvoiceButton">
                            <i class="bi bi-file-earmark-text"></i> Generate Invoice MB
                        </button>
                    </div>
                </div>
            <?php } ?>

        </div>
        <div class="card-body">
            <form action="<?php echo base_url('admin/manage_invoice_cases'); ?>" method="post">
                <div class="row">
                    <div class="col-md-3"> <label for="start_date">Start Date:</label> <input class="form-control" type="date" name="start_date" value="<?php echo isset($_POST['start_date']) ? $_POST['start_date'] : ''; ?>"> </div>
                    <div class="col-md-3"> <label for="end_date">End Date:</label> <input class="form-control" type="date" name="end_date" value="<?php echo isset($_POST['end_date']) ? $_POST['end_date'] : ''; ?>"> </div> <!-- Branch Select Dropdown -->
                     <div class="col-md-3">
                            <label for="branch">Branch</label>
                            <select class="single-select" id="branch" name="branch">
                                <option value="">Select Branch</option>
                                <?php $otherBranch = null; ?>
                                <?php foreach ($branch as $branchItem) : ?>
                                    <?php if ($branchItem['id'] == 100) : ?>
                                        <?php $otherBranch = $branchItem; ?>
                                    <?php else : ?>
                                        <option value="<?= $branchItem['id']; ?>" <?php echo isset($_POST['branch']) && $_POST['branch'] === $branchItem['id'] ? 'selected' : ''; ?>>
                                            <?= $branchItem['branch_name']; ?>
                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                        
                                <?php if ($otherBranch !== null) : ?>
                                    <!-- Display "Other" at the end if the id is 100 -->
                                    <option value="<?= $otherBranch['id']; ?>" <?php echo isset($_POST['branch']) && $_POST['branch'] === $otherBranch['id'] ? 'selected' : ''; ?>>
                                        <?= $otherBranch['branch_name']; ?>
                                    </option>
                                <?php endif; ?>
                            </select>
                        </div>
                        <!-- Connector Select Dropdown --> 
                        <?php if($_SESSION['staff_type']==0){ ?> 
                        <div class="col-md-3"> <label for="connector">Partner</label> 
                        <select class="single-select" id="connector" name="connector">
                            <option value="">Select Partner</option> 
                            <?php foreach ($connector as $connectorItem) : ?> 
                            <option value="<?= $connectorItem['staff_id']; ?>" <?php echo isset($_POST['connector']) && $_POST['connector'] === $connectorItem['staff_id'] ? 'selected' : ''; ?>><?= $connectorItem['staff_fullname']; ?></option> <?php endforeach; ?>
                        </select> </div> <?php } ?> <div class="col-md-3"> <label for="end_date">Status</label> <select name="status" class="form-control">
                            <option value="">--Select--</option>
                            <option value="Login Case" <?php echo isset($_POST['status']) && $_POST['status'] === 'Login Case' ? 'selected' : ''; ?>>Login Case</option>
                            <option value="Disb Case" <?php echo isset($_POST['status']) && $_POST['status'] === 'Disb Case' ? 'selected' : ''; ?>>Disb Case</option>
                            <option value="Sanction" <?php echo isset($_POST['status']) && $_POST['status'] === 'Sanction' ? 'selected' : ''; ?>>Sanction</option>
                            <option value="Reject" <?php echo isset($_POST['status']) && $_POST['status'] === 'Reject' ? 'selected' : ''; ?>>Reject</option>
                        </select> 
                        </div>
                        <div class="col-md-3">
                            <label class="form-label">Month</label>
                            <input type="month" name="month" class="form-control" value="<?php echo isset($_POST['month']) ? $_POST['month'] : ''; ?>">
                        </div>
                      <div class="col-md-3"> <br> <input class="btn btn-success" type="submit" value="Submit"> <a href="<?php echo base_url('admin/manage_invoice_cases'); ?>"><input class="btn btn-info" type="button" value="Reset"></a> </div>
            </form>
            <hr class="mt-3">
           <!-- <ul class="nav nav-tabs" id="invoiceTabs">
                <li class="nav-item"> <a class="nav-link active" id="hlcTab" data-bs-toggle="tab" href="#invoiceHLC">Invoice HLC</a> </li>
                <li class="nav-item"> <a class="nav-link" id="sbiTab" data-bs-toggle="tab" href="#invoiceSBI">Invoice SBI</a> </li>
            </ul>-->
            <div class="tab-content">
                <!-- Invoice HLC Tab -->
                <div class="tab-pane fade show active" id="invoiceHLC">
                 
                    <div class="table-responsive">
                        <table class="table align-middle table-striped" id="Table">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>Sr.No</th> 
                                    <?php if($_SESSION['staff_type']==0){ ?> 
                                    <th>Partner Name</th> 
                                    <?php } ?> 
                                    <th>Applicant Name</th>
                                    <th>RBO</th>
                                    <th>Branch Name</th>
                                    <th>City</th>
                                    <th>Loan Type</th>
                                    <th>Sanction Loan Amt </th>
                                    <th>DISB Date </th>
                                  <!--  <th>DISB Status </th>-->
                                  <?php if($_SESSION['staff_id']==14 || $_SESSION['staff_id']==13 || $_SESSION['staff_id']==538 || $_SESSION['staff_id']==28){ ?>
                                   <th>Part. Payout </th>
                                  <?php } ?>
                                   <!-- <th>Invoice Status</th> -->
                                     <th>Appraisal Letter</th>
                                     <th>Add Date</th>
                                     <th>Action</th>
                                </tr>
                                <thead>
                                <tbody> <?php

                        if (!empty($user)) {

                            foreach ($user as $key => $row) {

                                $branch = $this->db->select("*")->where(['id' => $row['branch_id']])->from('branch')->get()->row();
                                $city = $this->db->select("*")->where(['id' => $branch->city_id])->from('mst_city')->get()->row();
                                $rbo = $this->db->select("*")->where(['id' => $branch->rbo_id])->from('mst_rbo')->get()->row();
                                
                                $rinnraksha_status = 'Yes'; 
                                $rr_aact = $this->db->select("*")->where(['applicant_rr_id' => $row['id'], 'rinnraksha_status' => $rinnraksha_status])->from('mst_user')->get()->row();
                                @$rr_sanction_amt = $this->db->select("*")->where(['id' => $rr_aact->id])->from('mst_user')->get()->row();
                                
                                    
                                $conn = $this->db->select("*")->where(['staff_id' => $row['connector_id']])->from('mst_staff')->get()->row();
                                if ($row['applicant_invoice_status'] !== 'Invoice SBI') {
                                ?> 
                                <tr class='main_block' main_id="<?= $row['id'] ?>">
                                  <td><input type="checkbox" name="selected_rows[]" class="form-check-input" value="<?= $row['id'] ?>"></td>
                                    <td><?= $key + 1 ?></td>
                                        <?php if($_SESSION['staff_type']==0): ?>
                                        <td class="">
                                            <?= $conn->staff_fullname; ?>
                                        </td>
                                        <?php endif; ?>
                                        <td>
                                            <?= $row['user_name']; ?>
                                        </td>
                                        <td>
                                            <?= @$rbo->rbo_name; ?>
                                        </td>
                                        <td>
                                            <?php
                                                echo $branch->branch_name;
                                            ?>(<?php
                                                echo $branch->branch_code;
                                            ?>)
                                        </td>
                                        <td>
                                            <?= $city->city_name; ?>
                                        </td>
                                        <td>
                                            <?= $row['user_type']; ?>
                                        </td>
                                       
                                        <td>
                                            
                                            <input type="number" class="form-control" id="inputsanction_amt"
                                                <?php if ($row['applicant_invoice_status'] == 'Generated') { echo 'readonly'; } ?>
                                                <?php if ($row['rinnraksha_status'] == 'Yes' && empty($row['applicant_rr_id'])) { echo 'readonly'; } ?>
                                                name="sanction_amt" 
                                                value="<?= ($row['rinnraksha_status'] == 'Yes' && empty($row['applicant_rr_id'])) ? $row['rinnraksha_amt'] : $row['sanction_amt']; ?>"  
                                                oninput="validateAndUpdate(this, <?= $row['id']; ?>)">
                                            <span class="error-message text-danger"></span>
                                                
                                            <?php if ($row['rinnraksha_status'] == 'Yes' && empty($row['applicant_rr_id'])): ?>
                                                        <span>
                                                            <?php
                                                            // Ensure sanctionAmt is numeric
$sanctionAmt = isset($rr_sanction_amt->sanction_amt) ? str_replace(',', '', $rr_sanction_amt->sanction_amt) : '0';
$sanctionAmt = is_numeric($sanctionAmt) ? (float) $sanctionAmt : 0;

// Ensure premiumAmt is numeric
$premiumAmt = isset($row['rinnraksha_amt']) ? str_replace(',', '', $row['rinnraksha_amt']) : '0';
$premiumAmt = is_numeric($premiumAmt) ? (float) $premiumAmt : 0;

// Ensure conn_commision is numeric
$conn_commision = isset($conn->conn_commision) ? str_replace(',', '', $conn->conn_commision) : '0';
$conn_commision = is_numeric($conn_commision) ? (float) $conn_commision : 0;

// Calculate premium commission safely
$premiumCommission = ($premiumAmt * $conn_commision) / 100;

                                                            
                                                            if ($sanctionAmt == 5000000) {
                                                                // If the sanction amount is exactly 50 lakh, set commission to 4000
                                                                $commission = 4000;
                                                            } elseif ($sanctionAmt >= 100000 && $sanctionAmt < 5000000) {
                                                                $commission = 4000;
                                                            } elseif ($sanctionAmt > 5000000 && $sanctionAmt < 10000000) {
                                                                $commission = 5000;
                                                            } elseif ($sanctionAmt >= 10000000) {
                                                                $commission = 6000;
                                                            } else {
                                                                $commission = 0;
                                                            }

                                                            ?>
                                                        </span>
                                                        
                                                       <span>RR Commi:<?= $sanctionAmt ?> on <?= $commission ?></span>
                                                        <br>
                                                        <span class="rinnraksha_premium_amt">RR Premium Amt Rs.<?= $premiumAmt; ?></span>
                                                        <br>
                                                        <span>RR Premium Amt Commi.(<?=$conn->conn_commision ?>%):<?= $premiumCommission; ?></span>
                                                    <?php endif; ?>
                                        </td>
                                        <td>
                                            <input type="date" class="form-control" name="disb_date" 
                                                <?php if ($row['applicant_invoice_status'] == 'Generated') { echo 'disabled'; } ?>
                                                max="<?= date('Y-m-d') ?>" value="<?= $row['disb_date']; ?>" oninput="updateRowValues(this, <?= $row['id']; ?>)">
                                        </td>

                                           <!-- <td> <select name="disb_status" class="form-select" <?php if ($row['applicant_invoice_status'] == 'Generated') { echo 'disabled'; } ?> oninput="updateRowValues(this, <?= $row['id']; ?>)">
                                                <option value="">Select</option>
                                                <option value="yes" <?php if($row['disb_status']=='yes')echo 'selected'; ?>>Yes</option>
                                                <option value="no" <?php if($row['disb_status']=='no')echo 'selected'; ?>>No</option>
                                            </select> 
                                            </td> -->
                                            <?php if($_SESSION['staff_id']==14 || $_SESSION['staff_id']==13 || $_SESSION['staff_id']==538 || $_SESSION['staff_id']==28){ ?>
                                            <td> <select name="part_payout" class="form-select" <?php if ($row['applicant_invoice_status'] == 'Generated') { echo 'disabled'; } ?> oninput="updateRowpartpayout(this, <?= $row['id']; ?>)">
                                                <option value="">Select</option>
                                               
                                                    <option value="0.18" <?php if(@$row['part_payout']=='0.18')echo 'selected'; ?>>0.18%</option>
                                                    <option value="0.20" <?php if(@$row['part_payout']=='0.20')echo 'selected'; ?>>0.20%</option>
                                                    <option value="0.28" <?php if(@$row['part_payout']=='0.28')echo 'selected'; ?>>0.28%</option>
                                                    <option value="0.30" <?php if(@$row['part_payout']=='0.30')echo 'selected'; ?>>0.30%</option>
                                                    <option value="0.35" <?php if(@$row['part_payout']=='0.35')echo 'selected'; ?>>0.35%</option>
                                                    <option value="0.40" <?php if(@$row['part_payout']=='0.40')echo 'selected'; ?>>0.40%</option>
                                                    <option value="0.45" <?php if(@$row['part_payout']=='0.45')echo 'selected'; ?>>0.45%</option>
                                                    <option value="0.47" <?php if(@$row['part_payout']=='0.47')echo 'selected'; ?>>0.47%</option>
                                                    <option value="0.50" <?php if(@$row['part_payout']=='0.50')echo 'selected'; ?>>0.50%</option>
                                                    <option value="0.52" <?php if(@$row['part_payout']=='0.52')echo 'selected'; ?>>0.52%</option>
                                                    <option value="0.55" <?php if(@$row['part_payout']=='0.55')echo 'selected'; ?>>0.55%</option>
                                                    <option value="0.60" <?php if(@$row['part_payout']=='0.60')echo 'selected'; ?>>0.60%</option>
                                                    <option value="0.65" <?php if(@$row['part_payout']=='0.65')echo 'selected'; ?>>0.65%</option>
                                                    <option value="0.70" <?php if(@$row['part_payout']=='0.70')echo 'selected'; ?>>0.70%</option>
                                                    <option value="0.75" <?php if(@$row['part_payout']=='0.75')echo 'selected'; ?>>0.75%</option>
                                                    <option value="0.77" <?php if(@$row['part_payout']=='0.77')echo 'selected'; ?>>0.77%</option>
                                                    <option value="0.78" <?php if(@$row['part_payout']=='0.78')echo 'selected'; ?>>0.78%</option>
                                                    <option value="0.79" <?php if(@$row['part_payout']=='0.79')echo 'selected'; ?>>0.79%</option>
                                                    <option value="0.80" <?php if(@$row['part_payout']=='0.80')echo 'selected'; ?>>0.80%</option>
                                                    <option value="0.82" <?php if(@$row['part_payout']=='0.82')echo 'selected'; ?>>0.82%</option>
                                                    <option value="0.83" <?php if(@$row['part_payout']=='0.83')echo 'selected'; ?>>0.83%</option>
                                                    <option value="0.84" <?php if(@$row['part_payout']=='0.84')echo 'selected'; ?>>0.84%</option>
                                                    <option value="0.85" <?php if(@$row['part_payout']=='0.85')echo 'selected'; ?>>0.85%</option>
                                                    <option value="0.86" <?php if(@$row['part_payout']=='0.86')echo 'selected'; ?>>0.86%</option>
                                                    <option value="0.87" <?php if(@$row['part_payout']=='0.87')echo 'selected'; ?>>0.87%</option>
                                                    <option value="0.88" <?php if(@$row['part_payout']=='0.88')echo 'selected'; ?>>0.88%</option>
                                                    <option value="0.89" <?php if(@$row['part_payout']=='0.89')echo 'selected'; ?>>0.89%</option>
                                                    <option value="0.90" <?php if(@$row['part_payout']=='0.90')echo 'selected'; ?>>0.90%</option>
                                            </select> 
                                            </td>
                                           <?php } ?> 
                                             <td> 
                                              <?php
                                                   // Fetch appraisal letters for a specific user
                                                    if (isset($row['id']) && !empty($row['id'])) {
                                                        $user_id = $row['id'];
                                                        
                                                        // Query the appraisal_letters table
                                                        $this->db->where('user_id', $user_id);
                                                        $this->db->order_by('add_date', 'DESC');
                                                        $query = $this->db->get('appraisal_letters');
                                                        $appraisal_letters = $query->result(); // Fetch all results
                                                    }
                                                ?>
                                               <!--<input type="file" name="apprisal_letter" id="apprisal_letter_<?= $row['id']; ?>" onchange="appLetterUpload(<?= $row['id']; ?>, 'apprisal_letter_<?= $row['id']; ?>')" accept=".pdf,.docx,.doc,.jpg,.jpeg">
                                               <br>-->
                                               <?php if (!empty($appraisal_letters)) { ?>
                                               <?php foreach ($appraisal_letters as $letter) { ?>
                                                    <a href="<?= base_url() . 'assets/uploads/documents/' . $letter->appraisal_letter ?>" target="_blank"><i class="bi bi-eye-fill"></i>
                                                        Appraisal Letter
                                                    </a><br>
                                                <?php } ?>
                                            <?php } ?>
                                            </td> 
                                            
                                            
                                          
                                       <!--<td class="">
                                                <?php
                                                if (empty($row['applicant_invoice_status'])) {
                                                    $applicant_invoice_status = "Processing";
                                                } else {
                                                    $applicant_invoice_status = $row['applicant_invoice_status'];
                                                }
                                                ?>
                                                <?= $applicant_invoice_status; ?>
                                        </td>-->
                                          <td class="">
                                           <?php echo date('d-m-Y',strtotime($row['add_date'])); ?>
                                    </td>
                                    
                                     <td>
                                        <div class="d-flex align-items-center gap-3 fs-6">
                                             <a href="javascript:;" class="text-primary" data-bs-toggle="modal" data-bs-target="#userDetailsModal<?= $row['id']; ?>" data-bs-placement="bottom" title="View detail" aria-label="Views">
                                              <i class="bi bi-eye-fill"></i>
                                            </a>
                                            <a href="<?= base_url('admin/applicant_form/' . $row['id']) ?>" class="text-info" data-bs-toggle="tooltip" data-bs-placement="bottom" title="" data-bs-original-title="Edit info" aria-label="Edit"><i class="bi bi-pencil-fill"></i></a>

                                        </div>
                                    </td>
                                       
                                    </tr> 
                                    
                                     <!-- Modal for displaying Applicant details -->
                                    <div class="modal fade" id="userDetailsModal<?= $row['id']; ?>" tabindex="-1" aria-labelledby="userDetailsModalLabel" aria-hidden="true">
                                      <div class="modal-dialog">
                                        <div class="modal-content">
                                          <div class="modal-header">
                                            <h5 class="modal-title" id="userDetailsModalLabel">Applicant Details</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                          </div>
                                          <div class="modal-body">
                                           <p><strong>Name:</strong><?= $row['user_name']; ?></p>
                                           <p><strong>Branch Name:</strong><?= $branch->branch_name; ?>[<?= $branch->branch_code; ?>]</p>
                                           <p><strong>Mobile:</strong> <?= $row['user_phone']; ?></p>
                                           <p><strong>Email:</strong> <?= $row['user_email']; ?></p>
                                           <p><strong>Address:</strong></p>
                                            <p style="white-space: pre-line;"><?= $row['user_address']; ?></p>
                                             <hr>
                                              <p><strong>Loan Type:</strong>  <?= $row['user_type']; ?>  </p>
                                             <p><strong>RLMS ID:</strong>  <?= $row['los_id']; ?> </p>
                                             <p><strong>CBS Account No:</strong>   
                                             <?php if($row['rinnraksha_status']=='Yes' && empty($row['applicant_rr_id'])){
                                                echo $row['rr_cbs_acct_no']; }else{
                                               echo $row['bank_acct_no']; }
                                             ?> 
                                             </p>
                                               <p><strong>Sanction Loan Amt:</strong>  <?php 
                                                $amt = ($row['rinnraksha_status'] == 'Yes' && empty($row['applicant_rr_id'])) ? $row['rinnraksha_amt'] : $row['sanction_amt'];
                                                echo isset($amt) ? $amt : '0.00';
                                            ?></p>
                                             <p><strong>Status:</strong>   <?= $row['status']; ?>  </p>
                                          
                                          </div>
                                        </div>
                                      </div>
                                    </div>
 
                                    
                                    
                                    <?php

                            }
                            }

                        } else {

                            ?> <tr>
                                        <td colspan="3" align="center">Sorry no records available! </td>
                                    </tr> <?php } ?> </tbody>
                        </table>
                    </div>
                    <?//= $pagination ?>
                </div> 
           
            </div>
        </div>
</main> <!-- Add your change status modal -->
<div class="modal fade" id="GenrateInvoiceModal" tabindex="-1" aria-labelledby="GenrateInvoiceModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <!-- <h5 class="modal-title" id="GenrateInvoiceModalLabel">Change Status</h5> --> <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <!-- <div class="formgroup">
                      <label for="invtype">Invoice Type</label>
                    <select name="invoice_type" class="form-control" id="invoice_type"  required>
                        <option value="">--Select--</option>
                        <option value="inv_hlc">Genrate Invoice For HLC</option>
                        <?php if($_SESSION['staff_type']==0){ ?>
                            <option value="inv_sbi">Genrate Invoice For SBI</option>
                        <?php } ?>
                    </select> 
                </div>--> 
                
                <!-- Date Validation for Financial Year Change -->
                <?php $financialYear = $this->session->userdata('financial_year'); ?>
                
                <input type="hidden" name="invoice_type" id="invoice_type" value="inv_hlc">
                <div class="formgroup mt-3"> <label for="invoice_date">Invoice Date</label> 
                <input type="date" class="form-control" placeholder="dd/mm/yyyy" id="invoice_date" value="<?= date('Y-m-d'); ?>"> </div>
                 <span id="invoice_date_error" class="text-danger" style="display:block;"></span>
            </div>
            <div class="modal-footer"> <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button> <button type="button" class="btn btn-primary" id="applyinvoice">Submit</button> </div>
        </div>
    </div>
</div>

<script>
    document.addEventListener("DOMContentLoaded", function () {
      const GenrateInvoiceButton = document.getElementById("GenrateInvoiceButton");
      const GenrateInvoiceModal = new bootstrap.Modal(document.getElementById('GenrateInvoiceModal'));
      const invoiceDateInput = document.getElementById("invoice_date");
      
      
      let selectedRows = {};

    // Update the selected rows object when checkboxes are changed
    function updateSelectedRows() {
        $("tbody input[name='selected_rows[]']").each(function () {
            if ($(this).is(':checked')) {
                selectedRows[$(this).val()] = true;
            } else {
                delete selectedRows[$(this).val()];
            }
        });
    }

    // Restore the selected rows when the table is redrawn
    function restoreSelectedRows() {
        $("tbody input[name='selected_rows[]']").each(function () {
            if (selectedRows[$(this).val()]) {
                $(this).prop('checked', true);
            } else {
                $(this).prop('checked', false);
            }
        });
    }

     GenrateInvoiceButton.addEventListener("click", function () {
        // Check if at least one checkbox is checked
        const selectedCount = Object.keys(selectedRows).length;
        if (selectedCount > 0) {
            // If at least one checkbox is checked, open the modal
            GenrateInvoiceModal.show();
        } else {
            // If no checkboxes are checked, display an alert message
            alert("Please select at least one row before generating the invoice.");
        }
    });
     
    
document.getElementById("applyinvoice").addEventListener("click", function () {
    const inv_type = document.getElementById("invoice_type").value;
    const invoice_date = document.getElementById("invoice_date").value;
    const selectedRowsArray = Object.keys(selectedRows);

    if (!inv_type) {
        alert("Please select an invoice type.");
        return;
    }

    if (!invoice_date) {
        alert("Please select an invoice date.");
        return;
    }

    if (selectedRowsArray.length === 0) {
        alert("Please select at least one row to generate invoices.");
        return;
    }

    fetch("<?php echo base_url('admin/generate_invoice_hlc'); ?>", {
        method: "POST",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        body: "inv_type=" + inv_type + "&invoice_date=" + invoice_date + "&selectedRows=" + JSON.stringify(selectedRowsArray)
    })
    .then(response => response.json())
    .then(data => {
        if (data.status === 'success') {
            alert(data.message); // Display success message
            GenrateInvoiceModal.hide();
            window.location.href = '<?= base_url("admin/manage_invoice") ?>';
        } else if (data.status === 'error') {
            alert(data.message); // Display specific error message
            console.error('Error: ' + data.message);
        } else {
            alert('An unexpected error occurred. Please try again later.');
            console.error('Unexpected response: ', data);
        }
    })
    .catch(error => {
        console.error('Error during fetch: ', error);
        alert('An error occurred while generating invoices. Please try again.');
    });
});

      
       var table = $('#Table').DataTable({
        "lengthChange": true,
        "lengthMenu": [[10, 25, 50, 200, -1], [10, 25, 50, 200, "All"]],
        "pageLength": -1,
           "buttons": [
        { extend: 'copy', text: 'Copy' },
        { 
            extend: 'excelHtml5', 
            text: 'Excel',
            exportOptions: {
                columns: ':visible', // Include all visible columns
                format: {
                     body: function (data, row, column, node) {
                        // Extract value from input fields if present
                        if ($(node).find('input').length) {
                            return $(node).find('input').val();
                        }
                        if ($(node).find('select').length) {
                            return $(node).find('select option:selected').text();
                        }
                        if ($(node).find('.badge').length) {
                            return $(node).find('.badge').text().trim();
                        }
                         if ($(node).find('a').length) {
                            var link = $(node).find('a').attr('href');
                            return link ? link : 'N/A';
                        }
                        // Remove any HTML tags and return only plain text
                        return $('<div>').html(data).text();
                    }
                }
            }
        }
    ]
    });

    table.buttons().container().appendTo('#Table_wrapper .col-md-6:eq(0)');

    table.on('draw', function () {
        restoreSelectedRows();
    });

    $('#Table tbody').on('change', 'input[name="selected_rows[]"]', function () {
        updateSelectedRows();
    });
    
    });
    
</script>
<script>
  function updateRowValues(inputElement, rowId) {
    var $row = $(inputElement).closest('tr');
    var sanctionAmt = $row.find('[name="sanction_amt"]').val();
    var sanctionDate = $row.find('[name="disb_date"]').val();
    var disbStatus = $row.find('[name="disb_status"]').val();

    // Send AJAX request to update values
    $.ajax({
        type: 'POST',
        url: '<?php echo base_url("admin/update_row_values_applicant"); ?>',
        data: {
            row_id: rowId,
            sanction_amt: sanctionAmt,
            disb_date: sanctionDate,
            disb_status: disbStatus
        },
        success: function(response) {
            // Handle the response if needed
            console.log(response);
        },
        error: function(error) {
            console.log(error);
        }
    });
}

function updateRowpartpayout(inputElement, rowId) {
    var $row = $(inputElement).closest('tr');
    var part_payout = $row.find('[name="part_payout"]').val();

    // Send AJAX request to update values
    $.ajax({
        type: 'POST',
        url: '<?php echo base_url("admin/update_row_part_payout"); ?>',
        data: {
            row_id: rowId,
            part_payout: part_payout
        },
        success: function(response) {
            // Handle the response if needed
            console.log(response);
        },
        error: function(error) {
            console.log(error);
        }
    });
}

var inputTimer;

function validateAndUpdate(inputElement, rowId) {
    var $row = $(inputElement).closest('tr');
    var $input = $(inputElement);
    var sanctionAmt = parseFloat($input.val());

    // Clear previous timer
    clearTimeout(inputTimer);

    // Check if the entered value is less than $10,000
    if (isNaN(sanctionAmt) || sanctionAmt < 100000) {
        // Display error message under the td
        $row.find('.error-message').text('Amount should be 100,000 or greater.');

        // Set a timer to reset the input after 1 second (adjust as needed)
        inputTimer = setTimeout(function () {
            $input.val('');
        }, 1000);
    } else {
        // Clear the error message if the value is valid
        $row.find('.error-message').text('');
        // Update row values
        updateRowValues(inputElement, rowId);
    }
}
</script>
<!--<script>
 
  function updatePerPage() {
    var formElement = document.getElementById("perPageForm");

    if (formElement !== null) {
      formElement.submit();
    } else {
      console.error("Form with ID 'perPageForm' not found");
    }
  }
</script>-->


<style>
    .dataTables_length{
        margin-bottom:13px;
    }
    .dataTables_filter{
        margin-top:12px;
    }
</style>


<script>
   function calculateCommissionForRow(inputElement) {
    console.log("calculateCommissionForRow called");
    var $row = $(inputElement).closest('tr');
    console.log("$row:", $row); // Debugging statement to check the closest row element
    var sanctionAmt = parseFloat(inputElement.value);
    console.log("inputElement.value:", inputElement.value); // Debugging statement to check the value of the input field
    console.log("sanctionAmt:", sanctionAmt);

    if (isNaN(sanctionAmt)) {
        console.log("sanctionAmt is NaN"); // Debugging statement if the parsed value is NaN
        return;
    }

    var commission = 0;

    if (sanctionAmt === 5000000) {
    // If the sanction amount is exactly 50 lakh, set commission to 4000
            commission = 4000;
        } else if (sanctionAmt < 5000000) {
            commission = 4000;
        } else if (sanctionAmt > 5000000 && sanctionAmt < 10000000) {
            commission = 5000;
        } else if (sanctionAmt >= 10000000) {
            commission = 6000;
        }


    $row.find('.rinnraksha_commission').text('RR Commi. ' + commission);
}

    // Add event listener for input change for all form-control inputs
    var formControlInputs = document.querySelectorAll('.form-control');
    formControlInputs.forEach(function(input) {
        input.addEventListener('input', function() {
            calculateCommissionForRow(this);
        });
    });

    // Call the function to calculate and display commission for each row when the page loads
    window.onload = function() {
        // Get all form-control inputs and calculate/display commission for each row
        formControlInputs.forEach(function(input) {
            calculateCommissionForRow(input);
        });
    };
    
    
    
function appLetterUpload(userId, fileInputId) {
    var fileInput = document.getElementById(fileInputId); // Use the passed ID

    // Check if file input exists
    if (!fileInput) {
        alert('File input not found');
        return;
    }

    // Get the selected file
    var file = fileInput.files[0];

    // Check if a file is selected
    if (!file) {
        alert('No file selected');
        return;
    }

    // Create a FormData object to send the file data
    var formData = new FormData();
    formData.append('apprisal_letter', file);
    formData.append('user_id', userId);

    // Send an Ajax request to the CodeIgniter controller
    $.ajax({
        url: 'admin/upload_apprisal_file', // Update the URL to match your CodeIgniter controller method
        type: 'POST',
        data: formData,
        processData: false,
        contentType: false,
        success: function(response) {
            // Handle success response
            alert('File uploaded successfully');
        },
        error: function(xhr, status, error) {
            // Handle error
            alert('Error uploading file: ' + error);
        }
    });
}


</script>

  <!-- Pass PHP session value to JS -->
   <script>
    const sessionFinancialYear = "<?= $financialYear ?>";

   /* function validateInvoiceDate() {
        const invoiceDateInput = document.getElementById('invoice_date');
        const selectedDate = new Date(invoiceDateInput.value);
        const errorSpan = document.getElementById('invoice_date_error');

        let cutoffDate;
        let errorMessage = '';

        if (sessionFinancialYear === "24-25") {
            cutoffDate = new Date('2025-04-01');
            if (selectedDate >= cutoffDate) {
                errorMessage = "Invoice date must be before 31 Mar 2025 or change Fin. Year";
            }
        } else if (sessionFinancialYear === "25-26") {
            cutoffDate = new Date('2025-04-01');
            if (selectedDate < cutoffDate) {
                errorMessage = "Invoice date must be after 1 Apr 2025 or change Fin. Year";
            }
        }

        if (errorMessage) {
            errorSpan.textContent = errorMessage;
            invoiceDateInput.value = '';
            return false;
        } else {
            errorSpan.textContent = '';
            return true;
        }
    }*/

    // Date input change validation
    document.getElementById('invoice_date').addEventListener('change', validateInvoiceDate);

    // Submit button click validation
    document.getElementById('applyinvoice').addEventListener('click', function () {
        if (validateInvoiceDate()) {
            // If valid, proceed with your submission logic
            console.log("Form is valid, you can proceed.");
            // Example: submit the form here if needed
            // document.getElementById('your_form_id').submit();
        } else {
            console.log("Form has errors.");
        }
    });
</script>



